Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.statistics
Class CIBResourcePerfStatsImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.statistics.CIBPerfStatsImpl
          com.sun.mfwk.cib.sdk.statistics.CIBResourcePerfStatsImpl

All Implemented Interfaces:
  CIBPerfStats, CIBProvider, CIBResourcePerfStats, CIBStats, javax.management.j2ee.statistics.Stats

public class CIBResourcePerfStatsImpl
extends CIBPerfStatsImpl
implements CIBResourcePerfStats

Provides a default implementation of a CIBApplicationPerfStats provider for a CIBResource. This implementation is fully based on the Java-ES MF Instrumentation SDK.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.statistics.CIBStats
`CIBStatsVersion`

Constructor Summary
`CIBResourcePerfStatsImpl(javax.management.MBeanServerConnection connection, java.util.Map map)`
`CIBResourcePerfStatsImpl(javax.management.MBeanServerConnection connection, javax.management.ObjectName name)`
`CIBResourcePerfStatsImpl(javax.management.MBeanServerConnection connection, java.lang.String name)`

Method Summary
`void` | `destroy()` destroy the statistics and clean the statistics objects/values when needed, close all the communications.
`CIBStats` | `fromCompositeData(javax.management.openmbean.CompositeData data)` fromCompositeData
`CIBValueStatistic` | `getFailedOperations()` Return a statistic object containing the number of failed operations
`CIBTimeStatistic` | `getOperationTime()` Return statistic object containing values regarding the Operation Time
`void` | `init()` Initialize the statistics mechanism.
`void` | `start()` Start the statistics collections and clean the statistics objects/values when needed, close all the communications.
`void` | `stop()` Stop the statistics collections and clean the statistics objects/values when needed, close all the communications.
`javax.management.openmbean.CompositeData` | `toCompositeData()` toCompositeData

Methods inherited from class com.sun.mfwk.cib.sdk.statistics.CIBPerfStatsImpl
`getStatistic, getStatisticNames, getStatistics`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### CIBResourcePerfStatsImpl

    public CIBResourcePerfStatsImpl(javax.management.MBeanServerConnection connection,
                                    java.lang.String name)

### CIBResourcePerfStatsImpl

    public CIBResourcePerfStatsImpl(javax.management.MBeanServerConnection connection,
                                    javax.management.ObjectName name)

### CIBResourcePerfStatsImpl

    public CIBResourcePerfStatsImpl(javax.management.MBeanServerConnection connection,
                                    java.util.Map map)

Method Detail

### getOperationTime

    public CIBTimeStatistic getOperationTime()
                                      throws CIBIOException,
                                             CIBAttributeNotFoundException

  Return statistic object containing values regarding the Operation Time

  Specified by:
    `getOperationTime` in interface `CIBResourcePerfStats`
  Returns:
    TimeStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getFailedOperations

    public CIBValueStatistic getFailedOperations()
                                          throws CIBIOException,
                                                 CIBAttributeNotFoundException

  Return a statistic object containing the number of failed operations

  Specified by:
    `getFailedOperations` in interface `CIBResourcePerfStats`
  Returns:
    CIBValueStatistic
  Throws:
    `CIBAttributeNotFoundException`
    `CIBIOException`

### init

    public void init()
              throws CIBIOException,
                     CIBException

  Initialize the statistics mechanism. In particular, initialize the communication to the instrumentation layer.

  Specified by:
    `init` in interface `CIBProvider`
  Overrides:
    `init` in class `CIBPerfStatsImpl`
  Throws:
    `CIBIOException`
    `CIBException`

### destroy

    public void destroy()
                 throws CIBIOException,
                        CIBException

  destroy the statistics and clean the statistics objects/values when needed, close all the communications.

  Specified by:
    `destroy` in interface `CIBProvider`
  Overrides:
    `destroy` in class `CIBPerfStatsImpl`
  Throws:
    `CIBIOException`
    `CIBException`

### start

    public void start()
               throws CIBIOException,
                      CIBAttributeNotFoundException

  Start the statistics collections and clean the statistics objects/values when needed, close all the communications.

  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### stop

    public void stop()
              throws CIBIOException,
                     CIBException

  Stop the statistics collections and clean the statistics objects/values when needed, close all the communications.

  Throws:
    `CIBIOException`
    `CIBException`

### toCompositeData

    public javax.management.openmbean.CompositeData toCompositeData()
                                                             throws javax.management.openmbean.OpenDataException

  toCompositeData

  Specified by:
    `toCompositeData` in interface `CIBStats`
  Returns:
    CompositeData
  Throws:
    `javax.management.openmbean.OpenDataException`

### fromCompositeData

    public CIBStats fromCompositeData(javax.management.openmbean.CompositeData data)

  fromCompositeData

  Specified by:
    `fromCompositeData` in interface `CIBStats`
  Parameters:
    `data` - CompositeData
  Returns:
    CIBStats

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD